%define major		3
%define api		0.2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}

%define gi_major	0.2
%define girname		%mklibname %{name}-gir %{gi_major}

Name:           telepathy-logger
Version:        0.8.2
Release:        %mkrel 2
Summary:        A logger for the telepathy framework
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	dbus-glib-devel
BuildRequires:	libtelepathy-glib-devel >= 0.14
BuildRequires:	gobject-introspection-devel
BuildRequires:	glib2-devel >= 2.25.11
BuildRequires:	libxml2-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libxslt-proc
BuildRequires:	gnome-doc-utils
BuildRequires:	python-devel
BuildRequires:	intltool

%description
%{name} is a logger for the telepathy framework.

%files
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Logger.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Logger.service
%{_datadir}/telepathy/clients/Logger.client
%{_datadir}/glib-2.0/schemas/org.freedesktop.Telepathy.Logger.gschema.xml

#--------------------------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	A logger library for the telepathy framework
Requires:	telepathy-filesystem
Requires:	%{name} >= %{version}

%description -n	%{libname}
%{name} is a logger library for the telepathy framework.

%files -n %{libname}
%{_libdir}/libtelepathy-logger.so.%{major}*

#--------------------------------------------------------------------

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/TelepathyLogger-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/C
Summary:	A logger library for the telepathy framework
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}

%description -n	%{develname}
%name is a logger library for the telepathy framework.

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}/   
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/TelepathyLogger-%{api}.gir

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--enable-call \
	--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.8.2-2.mga6
+ Revision: 958988
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 neoclust <neoclust> 0.8.2-1.mga6
+ Revision: 852334
- New version 0.8.2

* Tue Jun 30 2015 wally <wally> 0.8.1-6.mga6
+ Revision: 848939
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 0.8.1-5.mga6
+ Revision: 847844
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 750012
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.8.1-3.mga5
+ Revision: 724964
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689812
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 0.8.1-1.mga5
+ Revision: 670128
- 0.8.1

* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 523823
- Mageia 4 Mass Rebuild

* Sat May 25 2013 ovitters <ovitters> 0.8.0-1.mga4
+ Revision: 427440
- fix major
- new version 0.8.0

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 384302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 27 2012 ovitters <ovitters> 0.4.0-1.mga3
+ Revision: 264592
- new version 0.4.0

* Thu Apr 05 2012 ovitters <ovitters> 0.2.13-1.mga2
+ Revision: 228664
- new version 0.2.13

* Mon Nov 21 2011 wally <wally> 0.2.12-1.mga2
+ Revision: 170530
- new version 0.2.12
- clean .spec a bit

  + fwang <fwang>
    - enable call support for empathy

* Fri Jul 08 2011 cjw <cjw> 0.2.10-3.mga2
+ Revision: 120276
- the typelib pkg needs the library pkg to work

* Thu Jul 07 2011 dmorgan <dmorgan> 0.2.10-2.mga2
+ Revision: 119809
- Split gir files outside lib package

* Wed Jun 22 2011 mikala <mikala> 0.2.10-1.mga2
+ Revision: 112486
- Update tarball to 0.2.10

  + dams <dams>
    - update to 0.2.8, new api and major

* Wed Apr 13 2011 dams <dams> 0.2.8-1.mga1
+ Revision: 84391
+ rebuild (emptylog)

* Tue Apr 05 2011 dams <dams> 0.2.8-2.mga1
+ Revision: 80757
- update to 0.2.8, new api and major

* Sun Feb 20 2011 eandry <eandry> 0.1.7-2.mga1
+ Revision: 54886
- drop buildroot
- imported package telepathy-logger


* Wed Dec 01 2010 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2011.0
+ Revision: 604282
- update to new version 0.1.7

* Fri Oct 15 2010 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2011.0
+ Revision: 585760
- update to new version 0.1.6

* Fri Aug 20 2010 Götz Waschk <waschk@mandriva.org> 0.1.5-2mdv2011.0
+ Revision: 571430
- fix deps

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2011.0
+ Revision: 571157
- update build deps
- new version
- depend on new glib
- remove gconf stuff and replace by gsettings

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 0.1.4-1mdv2011.0
+ Revision: 563550
- update build deps
- update to new version 0.1.4
- import telepathy-logger


